package epson.common;

import java.util.ArrayList;
import java.util.List;

public class CustomListRowImpl implements CustomListRow {
    private Integer prefixImage = 0;
    List<Float> size;
    private Integer suffixImage = 0;
    List<String> texts;

    public static CustomListRowImpl create() {
        CustomListRowImpl customListRowImpl = new CustomListRowImpl();
        customListRowImpl.texts = new ArrayList();
        customListRowImpl.size = new ArrayList();
        return customListRowImpl;
    }

    public CustomListRowImpl prefixImage(Integer num) {
        this.prefixImage = num;
        return this;
    }

    public CustomListRowImpl suffixImage(Integer num) {
        this.suffixImage = num;
        return this;
    }

    public CustomListRowImpl addText(String str, float f) {
        this.texts.add(str);
        this.size.add(Float.valueOf(f));
        return this;
    }

    public CustomListRowImpl addText(String str) {
        this.texts.add(str);
        this.size.add(Float.valueOf(0.0f));
        return this;
    }

    public Integer getPrefixImageId() {
        return this.prefixImage;
    }

    public Integer getSuffixImageId() {
        return this.suffixImage;
    }

    public String getText(int i) {
        return this.texts.get(i);
    }

    public float getTextSize(int i) {
        return this.size.get(i).floatValue();
    }

    public int sieze() {
        return this.texts.size();
    }
}
